Complete a file upload
POST
apiToken storage:files:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:files:write
orderId*numberapplication/json- body
overwrite?booleanReplace an existing item of the same kind (file over file, folder over folder). Without it an existing destination is a 409 with details.code already_exists; a file and a folder never replace each other (409, type_mismatch).
path*stringfilename*stringuploadId*stringexpectedSize*numberOperation completed or accepted; asynchronous actions may still be running.
application/json- response
finalized*booleanpath*stringsize*numbercurl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/upload-finalize' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "path": "string", "filename": "string", "uploadId": "string", "expectedSize": 0}'Example Response
{ "finalized": true, "path": "string", "size": 0}